Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class FlatNodeListTraversal

A simple iterator over an ordered (flat) List of the nodes of the AST.

author:
  Jeremy Rayner

version:
  $Revision: 3626 $

Constructor Summary
`FlatNodeListTraversal(Visitor visitor)`

Method Summary
`void` | `accept(GroovySourceAST currentNode)`
`AST` | `process(AST t)`

Constructor Detail

### FlatNodeListTraversal

    public FlatNodeListTraversal(Visitor visitor)

Method Detail

### accept

    void accept(GroovySourceAST currentNode)

### process

    public AST process(AST t)